\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-7,-2) grid (1,4);
\clip(-6,-2) rectangle (0,4);
\draw [line width=1.5pt,color=A1] (-1,-2.53) -- (-1,4.41);
\draw [line width=1.5pt,color=B2] (-1,-1)-- (-3,3);
\draw [line width=1.5pt,color=B2] (-1,-1)-- (-5,1);
\draw [line width=1.5pt,color=B2] (-5,1)-- (-3,3);
\draw (-1.79,2.83) node[anchor=north west] {$(d)$};
\draw [color=black] (-1,-1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-0.83,-0.58) node {$O$};
\end{tikzpicture}
\end{document}